Page MenuHomePhabricator

Use StatementListProvidingEntity in NoCrossReferencingStatements
Closed, ResolvedPublic

Details

Related Gerrit Patches:
mediawiki/extensions/Wikibase : masterNoCrossReferencingStatements: hint proper interface

Event Timeline

Pablo-WMDE triaged this task as Normal priority.Oct 5 2018, 2:13 PM
Pablo-WMDE created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 5 2018, 2:13 PM

Change 454483 had a related patch set uploaded (by Pablo Grass (WMDE); owner: Pablo Grass (WMDE)):
[mediawiki/extensions/Wikibase@master] NoCrossReferencingStatements: hint proper interface

https://gerrit.wikimedia.org/r/454483

I don’t understand why this is a subtask of T206325: Use wikibase/data-model 9.0 everywhere. Isn’t it the other way around – we need to move to data model 9.0 (or at least version 8) before we can do this?

@Lucas_Werkmeister_WMDE T206325 is a blocker for T206328, agreed. Unfortunately this relationship can not (can it?) be expressed with phab.

I would express it by making T206325: Use wikibase/data-model 9.0 everywhere a subtask of T206328: Use StatementListProvidingEntity in NoCrossReferencingStatements (i. e. the subtask needs to be done before the parent task can be tackled), but I’m not sure if that matches how other people interpret subtask relations.

but I’m not sure if that matches how other people interpret subtask relations.

That is exactly how I interpret the relations.

Sub tasks are essentially blockers of parent tasks

Addshore moved this task from incoming to in progress on the Wikidata board.Dec 19 2018, 12:48 PM

Change 454483 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] NoCrossReferencingStatements: hint proper interface

https://gerrit.wikimedia.org/r/454483

Pablo-WMDE closed this task as Resolved.Dec 20 2018, 11:49 AM